Name:           python-lazr-restful
Version:        0.9.29
Release:        1%{?dist}
Summary:        Publish data model objects as RESTful web services

Group:          Development/Libraries
License:        GPLv3
URL:            http://launchpad.net/lazr.restful
Source0:        http://launchpad.net/lazr.restful/trunk/%{version}/+download/lazr.restful-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-distutils-extra
Requires:       python
Requires:       python-zope-interface
Requires:       python-simplejson
Requires:       epydoc

%description
Publish data model objects as RESTful web services by annotating their Zope
interfaces.


%prep
%setup -qn lazr.restful-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/lazr.restful-%{version}*
%{python_sitelib}/lazr
%doc README.txt


%changelog
* Mon Aug 09 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.9.29-1
- Initial packaging
